// React
import React, { Component } from "react";

// Bryntum
import { BryntumCalendar } from "@bryntum/calendar-react";

// To be planned grid
import { BryntumGrid } from '@bryntum/grid-react';

import '@bryntum/calendar/calendar.material.css';
import '@bryntum/grid/grid.material.css';


export default class CalendarPlanning extends Component {
    render() {
        const calendarConfig = {
            weekStartDay: 1,
            height : 500
        };

        const gridConfig = {
            height : 50,
            columns : [
                { text: "Name", field: "name" }
            ]
        };

        return (
            <div>
                <BryntumCalendar {...calendarConfig} />
                <BryntumGrid {...gridConfig} />
            </div>
        );
    }
}
